Skip to main content
`Ctrl`+`K`

# DMPlexCheckInterfaceCones

Check that points on inter-partition interfaces have conforming order of cone points.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckInterfaceCones(DM dm)

## Input Parameter

- dm - The `DMPLEX` object

## Notes

For example, if there is an edge (rank,index)=(0,2) connecting points cone(0,2)=[(0,0),(0,1)] in this order, and the point `PetscSF` contains connections 0 <- (1,0), 1 <- (1,1) and 2 <- (1,2), then this check would pass if the edge (1,2) has cone(1,2)=[(1,0),(1,1)]. By contrast, if cone(1,2)=[(1,1),(1,0)], then this check would fail.

This is mainly intended for debugging/testing purposes. Does not check cone orientation, for this purpose use `DMPlexCheckFaces()`.

For the complete list of DMPlexCheck* functions, see `DMSetFromOptions()`.

## Developer Notes

Interface cones are expanded into vertices and then their coordinates are compared.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetCone()`, `DMPlexGetConeSize()`, `DMGetPointSF()`, `DMGetCoordinates()`, `DMSetFromOptions()`

## Level

developer

## Location

src/dm/impls/plex/plexcheckinterface.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages